Skip to content

Retrieve the results of validation using the validationID

You call thislegacyreportui

GET
/v1/import/validation/results/{validationID}
curl --request GET \
--url https://api.zentail.com/v1/import/validation/results/1 \
--header 'Authorization: Bearer <token>'

Returns Validation data which contains previews and validation results. This endpoint will return even if the validation is not complete and will give the current results of the validation.

validationID
required
number

Validation ID

Success

Media type*/*
object
status
string
data_rows_processed
number
previews
Array<object>
object
name
string
message
string
status
string
validation_result_groups
Array<object>
object
name
string
failed_count
integer
passed_count
integer
validation_results
Array<object>
object
name
string
message
string
status
string
invalid_count
number
valid_count
integer
indices
Array<number>

Bad Request

Media type*/*
object
errorCode
number
Example
400
errorMessages
Array<string>
referenceId
string format: uuid

Permission Denied

Media type*/*
object
errorCode
number
Example
403
errorMessages
Array<string>
referenceId
string format: uuid

Not Found

Media type*/*
object
errorCode
number
Example
404
errorMessages
Array<string>
referenceId
string format: uuid

Zentail Error

Media type*/*
object
errorCode
number
Example
500
errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string

Zentail Error

Media type*/*
object
errorCode
number
Example
503
errorMessages
Array<string>
referenceId
string format: uuid

Sourcesnapshot of https://app.zentail.com/api/swagger, committed at spec/v1/zentail-api.json

Built0c509dd3

API changelog